Imports DevExpress.Spreadsheet.Functions
Imports DevExpress.Spreadsheet
Imports DevExpress.XtraSpreadsheet
Imports DevExpress.ExpressApp
Imports DevExpress.Data.Filtering

Public Class FactoringSpreadCustomFunction
    Inherits Object
    Implements ICustomFunction


    Private Const functionName As String = "GETFACTORINFO"
    Private ReadOnly functionParameters() As ParameterInfo
    Public Sub New()
        Me.functionParameters = New ParameterInfo() {New ParameterInfo(ParameterType.Value, ParameterAttributes.Required), New ParameterInfo(ParameterType.Value, ParameterAttributes.Optional)}
    End Sub
    Public Function Evaluate(parameters As IList(Of ParameterValue), context As EvaluationContext) As ParameterValue Implements IFunction.Evaluate
        Return "NINCS BEÁLLÍTVA"
    End Function

#Region "BASE"
    Public Function GetName(culture As Globalization.CultureInfo) As String Implements IFunction.GetName
        Return functionName
    End Function

    Public ReadOnly Property Name As String Implements IFunction.Name
        Get
            Return functionName
        End Get
    End Property

    Public ReadOnly Property Parameters As ParameterInfo() Implements IFunction.Parameters
        Get
            Return functionParameters
        End Get
    End Property

    Public ReadOnly Property ReturnType As ParameterType Implements IFunction.ReturnType
        Get
            Return ParameterType.Value
        End Get
    End Property

    Public ReadOnly Property Volatile As Boolean Implements IFunction.Volatile
        Get
            Return False
        End Get
    End Property
#End Region

End Class
